﻿<?xml version="1.0" encoding="UTF-8"?>
<!--For rendering of mail merge address
-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" encoding="UTF-8" />

  <xsl:template match="/">
    <html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
</head>

      <body>
        <xsl:for-each select="OpenContacts/Contacts/Contact">

          <table border="0" width="100%" id="table2">
            <tr>
              <td width="80%">
                <font face="Times New Roman" size="3">
                  <b>
                    <xsl:value-of select="@Name"/>
                  </b>
                </font>
              </td>
              <td>
                <xsl:value-of select="@Title"/>
              </td>
            </tr>
          </table>
          
          <table border="0" width="100%" id="tablecompanies" cellspacing="0" cellpadding="0">
            <xsl:if test="count(MailMerge/org) &gt; 0">
              <tr>
                <td width="15"></td>
                <td width="80" bgcolor="#E0D601">
                  <font face="Times New Roman" size="2">Company:</font>
                </td>
                <td bgcolor="#FFFCBF">
                  <font size="2">
                    <xsl:value-of select="MailMerge/org"/>
                  </font>
                </td>
              </tr>
            </xsl:if>

            <xsl:for-each select="MailMerge/Field">
              <tr>
                <td width="15"></td>
                <td width="80" bgcolor="#C3D9FF">
                  <font face="Times New Roman" size="2">
                    <xsl:value-of select="@Name"/>:
                  </font>
                </td>
                <td bgcolor="#E0ECFF">
                  <font size="3">
                    <xsl:value-of select="@Value"/>
                  </font>
                </td>
              </tr>
            </xsl:for-each>

          </table>

          <p>  </p>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>


</xsl:stylesheet>