﻿<?xml version="1.0" encoding="UTF-8"?>
<!--Upon OC XML with only one record, convert some nodes of OC data fields to content of the description of iCalendar.
You may modify this file to make your own composition of the description of iCalendar.
-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="UTF-8" />

  <xsl:template match="/OpenContacts/Contacts/Contact">
    <xsl:text>Name:</xsl:text>
    <xsl:value-of select="@Name"/>
    <!--Pick up the value of Name of the contact-->
    
    <xsl:text>&#10;</xsl:text>
    <!--Link break. MSXML will output &#13;&#10; anyway.-->

    <xsl:text>Phone:</xsl:text>
    <xsl:value-of select="Sections/Section[contains(@Name, 'Personal')]/Fields/Field[contains(@Name, 'Phone')]/@Value"/>
    <xsl:text>&#10;</xsl:text>
    <!--Pick up the value of a section/field : Personal/Phone.-->

    <xsl:text>Birthday:</xsl:text>
    <xsl:value-of select="Sections/Section[contains(@Name, 'Personal')]/Fields/Field[contains(@Name, 'Birthday')]/@Value"/>
    
  </xsl:template>

</xsl:stylesheet>