ALTER TABLE PEOPLE
ADD GIVENNAMETIME TIMESTAMP,
ADD surnameTIME TIMESTAMP,
add MIDNAMETIME TIMESTAMP,
add TITLETIME TIMESTAMP,
add FULLNAMETIME TIMESTAMP,
add NOTESTIME TIMESTAMP;


SET TERM ^;
ALTER TRIGGER "PeopleUpdateTimestamp"
active before update position 0
AS BEGIN
NEW.DATEMODIFIED = CURRENT_TIMESTAMP;

if (NEW.SURNAME <> OLD.SURNAME) then
  NEW.SURNAMETIME= CURRENT_TIMESTAMP;

if (NEW.GIVENNAME <> OLD.GIVENNAME) then
  NEW.givennametime= CURRENT_TIMESTAMP;

if (NEW.midname <> OLD.midname) then
  NEW.midnametime= CURRENT_TIMESTAMP;

if (NEW.title <> OLD.title) then
  NEW.titletime= CURRENT_TIMESTAMP;

if (NEW.fullname <> OLD.fullname) then
  NEW.fullnametime = CURRENT_TIMESTAMP;

if (NEW.notes <> OLD.notes) then
  NEW.notestime= CURRENT_TIMESTAMP;
END

^
SET TERM ; ^

SET TERM ^;
ALTER TRIGGER "PeopleCreateTimestamp"
active before insert position 0
AS BEGIN
NEW.CREATEDATE = CURRENT_TIMESTAMP;
NEW.DATEMODIFIED = CURRENT_TIMESTAMP;
New.surnametime  = CURRENT_TIMESTAMP;
New.givennametime    = CURRENT_TIMESTAMP;
New.midnametime  = CURRENT_TIMESTAMP;
New.fullnametime  = CURRENT_TIMESTAMP;
New.titletime  = CURRENT_TIMESTAMP;
New.notestime  = CURRENT_TIMESTAMP;
END

^
SET TERM ; ^


CREATE TABLE DELETIONLOG (
    PEOPLEID      INTEGER,
    DELETIONTIME  TIMESTAMP
);

CREATE TABLE FIELDDELETIONLOG (
    PEOPLEID     INTEGER,
    SECTIONNAME  VARCHAR(36),
    FIELDNAME    VARCHAR(36),
    CHANGETIME   TIMESTAMP
);